JTS Topology Suite version 1.13

## com.vividsolutions.jts.awt
Class IdentityPointTransformation

    java.lang.Object
      com.vividsolutions.jts.awt.IdentityPointTransformation

All Implemented Interfaces:
  PointTransformation

    public class IdentityPointTransformation

extends java.lang.Object
implements PointTransformation

Copies point ordinates with no transformation.

Author:
  Martin Davis

Constructor Summary
`IdentityPointTransformation()`

Method Summary
`void` `transform(Coordinate model, java.awt.geom.Point2D view)` Transforms a `Coordinate` into a Java2D `Point`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityPointTransformation

    public IdentityPointTransformation()

Method Detail

### transform

    public void transform(Coordinate model,
                          java.awt.geom.Point2D view)

  Description copied from interface: `PointTransformation`
  Transforms a `Coordinate` into a Java2D `Point`.

  Specified by:
    `transform` in interface `PointTransformation`
  Parameters:
    `model` - the source Coordinate
    `view` - the destination Point

JTS Topology Suite version 1.13